Create Binder Relationship
POST
/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}/relationshipsHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{binder_id} | The binder id field value. |
{major_version} | The binder major_version_number__v field value. |
{minor_version} | The binder minor_version_number__v field value. |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
target_doc_id__vrequired | Set the target_doc_id__v to the document id of the "target document" to which a relationship will be established with the binder. |
relationship_type__vrequired | Set the relationship_type__v to the field value of one of the desired relationshipTypes from the "Documents Relationships Metadata" call. |
target_major_version__voptional | If you're creating a relationship with a specific version of the target document, set the target_major_version__v to the major version number of the target document. |
target_minor_version__voptional | If you're creating a relationship with a specific version of the target document, set the target_minor_version__v to the minor version number of the target document. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "target_doc_id__v=13" \
-d "relationship_type__v=supporting_documents__c" \
-d "target_major_version__v=0" \
-d "target_minor_version__v=1" \
https://myvault.veevavault.com/api/v26.1/objects/binders/566/versions/0/3/relationshipsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "Document relationship successfully created.",
"id": 202
}